Setting your Node version

Controlling the Node version for your Rails application

We automatically install the latest release of Node version 16.x.x when we set up your Rack/Rails application servers. You can control which version is installed by editing the manifest file for the Rails application.

rails:
  configuration:
    node_version: "18"       # will install latest v18.x.x
    node_version: "18.1"    # will install latest v18.1.x

Applying changes

To apply changes to the Node version you need to update your manifest file, then deploy-with-options and select the Apply Ruby/Node upgrades option.